/* MChanfix -- commands.h
 * Copyright (C) 2004 MChanfix Development
 * $Id: commands.h,v 1.2 2004/08/30 00:00:21 musirc Exp $
 */

#ifndef __COMMANDS_H__
#define __COMMANDS_H__
#include "hash.h"

typedef int (*commandfunc_t)(SI_CONN *, SI_CLIENT *, char *, char *);
typedef struct _command COMMAND;

struct _command
{
  char *command;
  commandfunc_t function;
};

COMMAND *command_tree_find(char *);
void command_tree_free(void);
void command_tree_init(void);
void command_tree_deinit(void);
void send_capabilities(SI_CONN *);
#endif
