/* MChanfix -- misc.h
 * Copyright (C) 2004 MChanfix Development
 * $Id: misc.h,v 1.2 2004/08/30 00:00:21 musirc Exp $
 */

#ifndef __MISC_H__
#define __MISC_H__

#include <time.h>
#include <sys/time.h>
#include <stdarg.h>

char *si_strncpy(char *, char *, int);
char *si_stristr(char *, char *);
char *si_timestr(time_t, char *, u_int);
char *si_strerror(int);

#define SI_LOG_NOTICE 0
#define SI_LOG_WARNING 1
#define SI_LOG_ERROR 2
void si_log(int, char *, ...);
void si_logv(int , char *, va_list);
#define SI_NEXTARG_FLAGS_LASTARG 0x001
char *si_nextarg(char **, int);
char *si_next_subarg_space(char **);
char *si_next_subarg_comma(char **);

#endif
