/* MChanfix -- timedcbs.h
 * Copyright (C) 2004 MChanfix Development
 * $Id: timedcbs.h,v 1.2 2004/08/30 00:00:21 musirc Exp $
 */

#ifndef __TIMEDCBS_H__
#define __TIMEDCBS_H__

#include <sys/types.h>

typedef struct _si_timedcb SI_TIMEDCB;

struct _si_timedcb
{
  u_int sit_id;
  time_t sit_time;
  u_int sit_sleep_secs;
#define SI_SIT_FLAGS_REPEAT 0x001
  u_int sit_flags;
  void (*sit_callback)(void *arg);
  void *sit_arg;
  SI_TIMEDCB *sit_prev;
  SI_TIMEDCB *sit_next;
};

int sitimedcb_add(u_int, u_int, void (*)(void *), void *, u_int *);
int sitimedcb_del(u_int);
void sitimedcbs_check(time_t *);

#endif
